---
title: "List a company's portfolio links and whether each is shown"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/{id}/portfolio-links`

## Path parameters

- `id` (`entity-portfolio-list-entity-portfolio-links.path.id`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<id>/portfolio-links'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<id>/portfolio-links';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<id>/portfolio-links"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "links": [
      {
        "graphId": "string",
        "companyEntityId": "eae59977-bbb1-45ea-92c6-19d8deaf265f",
        "name": "string",
        "slug": "string",
        "website": "http://example.com",
        "sourceUrl": "http://example.com",
        "state": "shown",
        "decidedBy": "company"
      }
    ]
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`entity-portfolio-list-entity-portfolio-links.response.200.data`; object, required)
  - `links` (`entity-portfolio-list-entity-portfolio-links.response.200.data.links`; array<object>, required)
    - `graphId` (`entity-portfolio-list-entity-portfolio-links.response.200.data.links.graphId`; string, required)
      - minLength 1
    - `companyEntityId` (`entity-portfolio-list-entity-portfolio-links.response.200.data.links.companyEntityId`; string, required, nullable)
      - format `uuid`
    - `name` (`entity-portfolio-list-entity-portfolio-links.response.200.data.links.name`; string, required)
    - `slug` (`entity-portfolio-list-entity-portfolio-links.response.200.data.links.slug`; string, required, nullable)
    - `website` (`entity-portfolio-list-entity-portfolio-links.response.200.data.links.website`; string, required, nullable)
      - format `uri`
    - `sourceUrl` (`entity-portfolio-list-entity-portfolio-links.response.200.data.links.sourceUrl`; string, required, nullable)
      - format `uri`
    - `state` (`entity-portfolio-list-entity-portfolio-links.response.200.data.links.state`; string, required)
      - one of `"shown"`, `"hidden"`, `"pending"`
    - `decidedBy` (`entity-portfolio-list-entity-portfolio-links.response.200.data.links.decidedBy`; string, required, nullable)
      - one of `"company"`, `"sureshake"`
- `meta` (`entity-portfolio-list-entity-portfolio-links.response.200.meta`; object, optional)
  - `timestamp` (`entity-portfolio-list-entity-portfolio-links.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-portfolio-list-entity-portfolio-links.response.400.error`; object, required)
  - `code` (`entity-portfolio-list-entity-portfolio-links.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-portfolio-list-entity-portfolio-links.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-portfolio-list-entity-portfolio-links.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-portfolio-list-entity-portfolio-links.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-portfolio-list-entity-portfolio-links.response.401.error`; object, required)
  - `code` (`entity-portfolio-list-entity-portfolio-links.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-portfolio-list-entity-portfolio-links.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-portfolio-list-entity-portfolio-links.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-portfolio-list-entity-portfolio-links.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-portfolio-list-entity-portfolio-links.response.403.error`; object, required)
  - `code` (`entity-portfolio-list-entity-portfolio-links.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-portfolio-list-entity-portfolio-links.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-portfolio-list-entity-portfolio-links.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-portfolio-list-entity-portfolio-links.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-portfolio-list-entity-portfolio-links.response.404.error`; object, required)
  - `code` (`entity-portfolio-list-entity-portfolio-links.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-portfolio-list-entity-portfolio-links.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-portfolio-list-entity-portfolio-links.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-portfolio-list-entity-portfolio-links.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-portfolio-list-entity-portfolio-links.response.409.error`; object, required)
  - `code` (`entity-portfolio-list-entity-portfolio-links.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-portfolio-list-entity-portfolio-links.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-portfolio-list-entity-portfolio-links.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-portfolio-list-entity-portfolio-links.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-portfolio-list-entity-portfolio-links.response.422.error`; object, required)
  - `code` (`entity-portfolio-list-entity-portfolio-links.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-portfolio-list-entity-portfolio-links.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`entity-portfolio-list-entity-portfolio-links.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-portfolio-list-entity-portfolio-links.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-portfolio-list-entity-portfolio-links.response.429.error`; object, required)
  - `code` (`entity-portfolio-list-entity-portfolio-links.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-portfolio-list-entity-portfolio-links.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`entity-portfolio-list-entity-portfolio-links.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-portfolio-list-entity-portfolio-links.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-portfolio-list-entity-portfolio-links.response.500.error`; object, required)
  - `code` (`entity-portfolio-list-entity-portfolio-links.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-portfolio-list-entity-portfolio-links.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-portfolio-list-entity-portfolio-links.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-portfolio-list-entity-portfolio-links.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-portfolio-list-entity-portfolio-links.response.503.error`; object, required)
  - `code` (`entity-portfolio-list-entity-portfolio-links.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-portfolio-list-entity-portfolio-links.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-portfolio-list-entity-portfolio-links.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-portfolio-list-entity-portfolio-links.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-portfolio-list-entity-portfolio-links/index.md
